/* General */
form input {
  max-width: 100%;
}
textarea,
select,
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="email"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"] {
  font-size: 1em;
}
html.js input.form-autocomplete {
  background-position: 100% 5px;
}
html.js input.throbbing {
  background-position: 100% -15px; /* LTR */
}
/* user login/register/password recovery form */
form#user-register-form,
form#user-pass,
form#user-login {
  max-width: 300px;
  margin-left: auto;
  margin-right: auto;
}
label span.icon {
  height: 18px;
  width: 20px;
  display: inline-block;
  margin: 0px;
  padding: 0px;
  float: left;
  position: relative;
  top: 3px;
  left: 2px;
  overflow: hidden;
  background-image: url(images/labels-bg-12px-sprite.png);
  background-color: transparent;
  background-repeat: no-repeat;
  background-position: -168px -24px;
}
label span.icon {
  height: 18px;
  width: 20px;
  display: inline-block;
  margin: 0px;
  padding: 0px;
  float: left;
  position: relative;
  top: 3px;
  left: 2px;
  overflow: hidden;
  background-image: url(images/labels-bg-12px-sprite.png);
  background-color: transparent;
  background-repeat: no-repeat;
  background-position: -168px -24px;
}
.form-type-select > label span.icon {
  background-position: -96px -72px;
}
.form-type-textarea > label span.icon {
  background-position: -72px -24px;
}
.form-type-item > label span.icon {
  display: none;
}
/* Checkboxes and radio buttons */

.form-type-radios span.icon,
.form-type-checkboxes span.icon,
.form-type-checkbox span.icon {
  display: none;
}

form.node-form .form-type-radios span.icon,
form.node-form .form-type-checkboxes span.icon,
form.node-form .form-type-checkbox span.icon {
  display: inline-block;
}

form.node-form
input[type="checkbox"] {
  display: none;
}
form.node-form input[type="checkbox"] + label span {
  width: 19px;
  height: 19px;
  margin: -1px 4px 0 0;
  vertical-align: middle;
  background: url(images/checkbox-radios-sprite.png) 00 no-repeat;
  cursor: pointer;
}
form.node-form input[type="checkbox"]:checked + label span {
  background: url(images/checkbox-radios-sprite.png) -38px 0 no-repeat;
}
form.node-form input[type="radio"] {
  display: none;
}

form.node-form input[type="radio"] + label span {
  display: inline-block;
  width: 19px;
  height: 19px;
  margin: -1px 4px 0 0;
  vertical-align: middle;
  background: url(images/checkbox-radios-sprite.png) -114px 0 no-repeat;
  cursor: pointer;
}

form.node-form input[type="radio"]:checked + label span {
  background: url(images/checkbox-radios-sprite.png) -76px 0 no-repeat;
}

form.node-form label.element-invisible + input[type="checkbox"] + input[type="checkbox"],
form.node-form label.element-invisible + input[type="checkbox"],
form.node-form input[type="checkbox"]:only-child {
  display: block;
}

label {
  height: 18px;
  padding: 0px;
}
label[for="edit-user-name"] span.icon,
form#user-login label[for="edit-name"] span.icon,
form#user-pass label[for="edit-name"] span.icon,
form#user-register-form label[for="edit-name"] span.icon {
  background-position: -48px -48px;
}
.form-type-password > label > span.icon,
label[for="edit-password-confirm-pass1"] span.icon,
label[for="edit-password-confirm-pass2"] span.icon,
label[for="edit-password"] span.icon,
label[for="edit-pass"] span.icon {
  background-position: -72px -48px;
}
label[for="edit-email"] span.icon,
label[for="edit-mail"] span.icon {
  background-position: -48px 0;
}
label[for="edit-phone"] span.icon {
  background-position: -192px 0;
}
label[for="edit-www"] span.icon {
  background-position: -168px -48px;
}
label[for="edit-im"] span.icon {
  background-position: -216px -24px;
}
label[for="edit-organization-nid"] span.icon {
  background-position: -48px -24px;
}
label[for="edit-project-nid"] span.icon {
  background-position: -96px -48px;
}
label[for="edit-parent-nid"] span.icon,
label[for="edit-task-nid"] span.icon {
  background-position: -144px -72px;
}
label[for="edit-ticket-nid"] span.icon {
  background-position: -120px -48px;
}
label[for="edit-duration"] span.icon,
label[for="edit-durationunit"] span.icon,
label[for="edit-billing-duration"] span.icon,
label[for="edit-duration"] span.icon,
label[for="edit-timeend"] span.icon,
label[for="edit-timebegin"] span.icon {
  background-position: -144px -24px;
}

label[for="edit-date"] span.icon {
  background-position: -72px 0;
}
label[for="edit-file"] span.icon {
  background-position: -120px -24px;
}
label[for="edit-managed-file"] span.icon {
  background-position: -192px -48px;
}
label[for="edit-manager-nid"] span.icon {
  background-position: 0 -48px;
}
label[for="edit-assigned-nid"] span.icon {
  background-position: -24px -48px;
}
label[for="edit-currency"] span.icon {
  background-position: -24px -24px;
}
.form-item-timezone > label > span.icon,
label[for="edit-orglanguage"] span.icon,
label[for="edit-country"] span.icon {
  background-position: -216px 0;
}
label[for="edit-picture-upload"] span.icon {
  background-position: -96px -24px;
}
